EDIT - bug #9510

Improve label for descriptions created via DDS matrix
03/04/2021 10:50 AM - Andreas Mdller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

The automatically created label for a new "literature" description is something like {name of DDS}: Factual data set for {Taxon name}
"Factual data set" is not fully correct. It could be something like "...: Literature data for {Taxon name}"

Also from the matrix perspective it does not make so much sense to put the DDS name in front as all record visible there belong to
this dataset. But from the factual data view perspective it may make sense so | have no better idea.

Also we need to think about the existing description relabeling during taxon operations (e.g. syn<->acc swap leads to a new label
which has nothing to do with the old label anymore). The new label formatter is defined in the swap function in TaxonService (should
be moved to model.format anyway).

Related issues:

Related to EDIT - bug #9488: Show details of description in character matrix Closed
Related to EDIT - feature request #9511: Move specimens/individual associatio... New
Related to EDIT - feature request #8967: Improve label for cloned descriptions New
Related to EDIT - bug #9512: Descriptions being created for individual associ... Closed

Associated revisions

Revision a5¢8139e - 10/06/2021 11:06 AM - Andreas Miiller

cleanup and explicit title for IndividualsAssociation taxon descriptions

Revision 7f25cd4e - 10/06/2021 11:29 AM - Andreas Miiller

ref #9510 adapt specimens holding description label (cont.)

Revision 5d1ef7fc - 10/06/2021 12:08 PM - Andreas Miiller

ref #9510 adapt specimens holding description label (cont. Il)

History

#1 - 03/04/2021 10:51 AM - Andreas Miiller

The above suggestion are only meant as first ideas. Please feel free to suggest/find better labels.

#2 - 03/04/2021 10:54 AM - Andreas Miiller
- Related to bug #9488: Show details of description in character matrix added

#3 - 03/04/2021 11:01 AM - Andreas Miiller

- Related to feature request #9511: Move specimens/individual associations for matrix into same description added

#4 - 03/04/2021 11:03 AM - Andreas Miiller
- Description updated
#5 - 03/04/2021 01:03 PM - Andreas Miiller

Auch das Label der Specimen description selber entspricht noch nicht ganz dem, wie wir es mal besprochen haben:

Aus alter Mail (2019-11-20):

AM:

Mein Vorschlag ware ,Descriptive Data {Dataset Name} for {Taxon Name}“ oder andersherum. Allerdings wird das natirlich ein bisschen lang.
Gleichzeitig sind aber die Bezlige zum Taxon, Dataset und dass es sich um Descriptive Data handelt recht essentiell um in jedem Kontext zu
verstehen, worum es sich handelt.

AK:

Finde ich sehr gut!

NK:

ich auch

Derzeit scheint es eher sowas wie {Dataset name}: Specimen description for {Specimen titteCache} zu sein.
Oder haben wir uns da nach der Mail nochmal umentschieden.

Ich finde die Variante aus der Mail besser.

#6 - 03/04/2021 01:07 PM - Andreas Miiller

... ich sehe gerade, dass die obige Labeldiskussion v.a. firs Portal gedacht war, dennoch vielleicht auch passend fir das Label der Description
selber.

#7 - 03/05/2021 10:25 AM - Andreas Miiller

- Related to feature request #8967: Improve label for cloned descriptions added

#8 - 03/05/2021 10:31 AM - Andreas Miiller

- Description updated

#9 - 03/05/2021 11:04 AM - Andreas Miiller

- Related to bug #9512: Descriptions being created for individual associations in matrix should have description status "Individual association" added

#10 - 04/19/2021 04:53 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.45

#11 - 10/05/2021 08:48 AM - Katja Luther
- Tags changed from additivity to additivity, matrix

#12 - 10/06/2021 11:31 AM - Andreas Miiller
- Description updated

- Status changed from New to In Progress

#13 - 10/06/2021 11:31 AM - Andreas Miiller
- Description updated
